Bug 57985 - Fix some threading issues in IconDatabase.
Summary: Fix some threading issues in IconDatabase.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: David Levin
URL:
Keywords:
Depends on:
Blocks: 58092
  Show dependency treegraph
 
Reported: 2011-04-06 14:52 PDT by David Levin
Modified: 2011-04-14 16:52 PDT (History)
2 users (show)

See Also:


Attachments
Patch (5.70 KB, patch)
2011-04-06 14:57 PDT, David Levin
no flags Details | Formatted Diff | Diff
Patch (6.19 KB, patch)
2011-04-07 14:44 PDT, David Levin
beidson: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Levin 2011-04-06 14:52:49 PDT
Fix some threading issues that I uncovered while working on bug 31639.
Comment 1 David Levin 2011-04-06 14:57:05 PDT
Created attachment 88520 [details]
Patch
Comment 2 David Levin 2011-04-07 14:44:51 PDT
Created attachment 88703 [details]
Patch
Comment 3 Brady Eidson 2011-04-14 13:57:40 PDT
Comment on attachment 88703 [details]
Patch

Okay!
Comment 4 WebKit Commit Bot 2011-04-14 15:10:04 PDT
Comment on attachment 88703 [details]
Patch

Rejecting attachment 88703 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sf', 'ap..." exit_code: 2

Last 500 characters of output:
Tools/Scripts/svn-apply', u'--reviewer', u'Brady Eidson', u'--force']" exit_code: 1

Parsed 2 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/loader/icon/IconDatabase.cpp
Hunk #3 FAILED at 1571.
1 out of 3 hunks FAILED -- saving rejects to file Source/WebCore/loader/icon/IconDatabase.cpp.rej

Failed to run "[u'/Projects/CommitQueue/Tools/Scripts/svn-apply', u'--reviewer', u'Brady Eidson', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8398759
Comment 5 David Levin 2011-04-14 15:11:45 PDT
Will land by hand shortly.
Comment 6 David Levin 2011-04-14 16:52:40 PDT
Committed as http://trac.webkit.org/changeset/83913